console.info('BLOCKS Spaceeeeeee')

events.listen('block.registry', function (e) {
    e.create('grease_of_pig_block').material('slime').hardness(0.8).displayName('Grease of Pig Block').harvestTool('pickaxe', 1)
    e.create('bronze_boiler_part').material('metal').hardness(1.5).displayName('Bronze Boiler Part').harvestTool('pickaxe', 2)
    e.create('stainless_steel_casing').material('metal').hardness(2.0).displayName('Stainless Steel Casing').harvestTool('pickaxe', 2).model('kubejs:block/stainless_steel_casing').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('inscriber_casing').material('metal').hardness(2.0).displayName('Inscriber Casing').harvestTool('pickaxe', 2).model('kubejs:block/inscriber_casing').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('chromite_ore').material('stone').hardness(2.5).displayName('Chromite Ore').harvestTool('pickaxe', 3)
    e.create('crafting_unit_casing').material('metal').hardness(2.0).displayName('Crafting Unit Casing').harvestTool('pickaxe', 2)
    e.create('crafting_co_processing_unit_casing').material('metal').hardness(2.0).displayName('Crafting Co-Processing Unit Casing').harvestTool('pickaxe', 2)
    e.create('wooden_reel').material('metal').hardness(2.0).displayName('Wooden Reel').harvestTool('axe', 2).model('kubejs:block/wooden_reel').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('wooden_reel_base').material('metal').hardness(2.0).displayName('Wooden Reel Base').harvestTool('axe', 2).model('kubejs:block/wooden_reel_base').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('lv_wire_coil_block').material('metal').hardness(2.0).displayName('LV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/lv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('mv_wire_coil_block').material('metal').hardness(2.0).displayName('MV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/mv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('hv_wire_coil_block').material('metal').hardness(2.0).displayName('HV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/hv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('steel_cable_coil_block').material('metal').hardness(2.0).displayName('Steel Cable Coil (Block)').harvestTool('axe', 2).model('kubejs:block/steel_cable_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('redstone_wire_coil_block').material('metal').hardness(2.0).displayName('Redstone Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/redstone_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('insulated_lv_wire_coil_block').material('metal').hardness(2.0).displayName('Insulated LV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/insulated_lv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('insulated_mv_wire_coil_block').material('metal').hardness(2.0).displayName('Insulated MV Wire Coil (Block)').harvestTool('axe', 2).model('kubejs:block/insulated_mv_wire_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('hemp_rope_coil_block').material('metal').hardness(2.0).displayName('Hemp Rope Coil (Block)').harvestTool('axe', 2).model('kubejs:block/hemp_rope_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('superconductor_coil_block').material('metal').hardness(2.0).displayName('Superconductor Coil (Block)').harvestTool('axe', 2).model('kubejs:block/superconductor_coil_block').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('superconductor_coil').material('wood').hardness(3.0).displayName('Superconductor Coil').harvestTool('pickaxe', 3)
    e.create('concrete_armored').material('stone').hardness(2.0).displayName('Concrete Armored').harvestTool('pickaxe', 1)
    e.create('concrete_armored_formwork').material('wood').hardness(2.0).displayName('Concrete Armored Formwork').harvestTool('axe', 1).model('kubejs:block/concrete_armored_formwork').notSolid().renderType('translucent').defaultTranslucent().redstoneConductor(false).waterlogged()
    e.create('lignite_coke_block').material('stone').hardness(2.0).displayName('Lignite Coke Block').harvestTool('pickaxe', 1)
    e.create('anthracite_coke_block').material('stone').hardness(2.0).displayName('Anthracite coke Block').harvestTool('pickaxe', 1)
    e.create('blue_nether_quartz_ore').material('stone').hardness(1.5).displayName('Blue Nether Quartz Ore').harvestTool('pickaxe', 2)
})